Status: Rejected Start date: 06/23/2013

Priority: Normal Due date:  

Assigned To:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: HESS sprint #1   

Description

Subtasks:

Action # 927: Implement GCTAOnOffResponse class Rejected

Action # 925: Implement GCTABackgroundAcceptanceSpectrum Rejected

History

#1 - 06/25/2013 10:01 PM - Knödlseder Jürgen

- Target version set to HESS sprint #1

#2 - 06/26/2013 10:26 AM - Martin Pierrick

- Due date set to 06/23/2013

due to changes in a related task

#3 - 06/30/2013 03:37 PM - Martin Pierrick

To compute the ARF we have to integrate the point spread function multiplied by the effective area over the selection region.

This can be done by using the GResponse::npred(const GSource& source, const GObservation& obs) method.

Recall that GSource stores the physical attributes of a gamma-ray source, which is the distribution of photon arrival directions in form of a spatial

source model, the photon energy, and the photon arrival time. As no energy dispersion is actually used, the energy attribute of GSource can be used

as the measured energy. Some thinking is needed how this should be implement in the future once energy dispersion is supported. But for the time

being it is okay.

So we could write a GArf method that computes the response given a spatial source model and an observation:

void GArf::set(const GResponse& rsp, const GRoi& roi, const GModelSpatial& spatial);

But the actual code needed if GResponse::npred should be used is actually too specific, hence we better implement this on the

GCTAOnOffObservation level for the moment.
#4 - 10/31/2013 11:59 PM - Knödlseder Jürgen

- Status changed from New to Rejected

Powered by TCPDF (www.tcpdf.org)

04/11/2024 2/2

http://www.tcpdf.org

